# Infamick Script
![Android](https://img.shields.io/badge/Android-3DDC84?logo=android&logoColor=white)
![Magisk](https://img.shields.io/badge/Magisk-red?logo=magisk)
[![GitHub Release](https://img.shields.io/github/v/release/Infamousmick/Infamick-script?display_name=tag&color=%23ac53db)](https://github.com/InfamousMick/Infamick-script/releases)
[![GitHub Downloads](https://img.shields.io/github/downloads/InfamousMick/Infamick-script/total?color=%67f0ab)](https://github.com/InfamousMick/Infamick-script/releases)
[![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](/LICENSE)
[![Telegram](https://img.shields.io/badge/Telegram-2CA5E0?logo=telegram&logoColor=white)](https://t.me/InfaScript)

## Overview
Infamick is a powerful system utility script for rooted Android devices. It provides easy access to various system information and settings, making it an essential tool for all users.

## Features
- **Battery Health**: Check battery health status and charging cycles
- **Battery optimizations settings**: Open Battery optimizations settings
- **Bixby Remapper** Show current Bixby button action and remap it
- **Boost Battery**: Improves battery draining
- **Boost Performance**: Boost the performance of each app
- **Boot Count Reset**: Reset system boot counters
- **Button Mapper**: Show current Power, Volume Up and Volume Down buttons action and remap them
- **Cache cleaner**: Trim caches multiple times
- **Change Network Bands**: Open 5G Network Bands guide
- **Charging settings**: Disable, Enable and show current charging status
- **CSC Changer**: Change current CSC
- **DD Backup**: Backup all possible partitions chosing a name
- **Display commands**: Show, Set and Reset current display size and dpi
- **Deknoxer**:  Disable or Enable knox packages
- **Drain Fixer**: Fixes various drain settings
- **Extra Dim**: Open hidden Extra Dim menu
- **Gesture**: Open hidden Gestures menu
- **GMS services** : Disable or Enable GMS services
- **Lock Network Bands**: Open Network Band settings
- **SELinux state**: Mod to Permissive/Enforcing or show current SELinux state
- **SOT Calculator**: Calculate the SOT with 100% battery
- **Temperature Monitoring**: Real-time display of battery, CPU, and GPU temperatures
- **User-Friendly Interface**: Color-coded output for better readability

## Installation
This script is designed to be flashed as a module using Magisk, KernelSU, or APatch. 

1. Download the latest release zip file [here](https://github.com/Infamousmick/Infamick-script/releases).
2. Flash the zip file through Magisk, KernelSU, or APatch.
3. Reboot your device.
4. To update check into Magisk/KSU/Apatch app

## Usage
After installation, you can use the script by running `infamick` in a terminal with root access.

Available commands:
- `infamick batt boost`: Improves Battery draining
- `infamick batt info`: Display battery health and charging cycles
- `infamick batt opt`: Open battery optimizations setting
- `infamick batt start`: Enable battery charging
- `infamick batt status`: Show if charging is disabled/enabled
- `infamick batt stop`: Disable battery charging
- `infamick boot`: Reset boot count settings
- `infamick btmap `:  Show current Power, Volume Up and Volume Down buttons action and remap them
- `infamick cache`: Trim cache multiple times
- `infamick dd`: Backup all possible partitions chosing a name
- `infamick dsp rs`: Reset current display size and dpi
- `infamick dsp set`: Change display size and dpi 
- `infamick dsp sw`: Show current display size and dpi
- `infamick fix datausage`: Fix data usage settings drain
- `infamick fix gms`: Fix GMS drain
- `infamick fix oneui`: Fix Oneui drain
- `infamick fix smgcare`: Fix general apps drain in Samsung Device Care
- `infamick gms disable`: Disable GMS services
- `infamick gms enable`: Enable GMS services
- `infamick gms fix home`: Fixes Google Home 'device not avaiable on the network' error
- `infamick gms fix oneui7`: Fixes Google Home crashing on ONEUI7 after gms disable
- `infamick gms fix wallet`: Fixes Google Wallet crashing/not adding new cards
- `infamick info`: Show help and usage information
- `infamick perf`: Boost Apps perfomances
- `infamick selinux 0`: Set SELinux state to Permissive
- `infamick selinux 1`: Set SELinux state to Enforcing
- `infamick selinux get`: Show current SELinux state
- `infamick smg bx`: Show current Bixby button action and remap it
- `infamick smg csc`: Change current CSC
- `infamick smg dex_d`: Disable knox packages
- `infamick smg dex_e`: Enable knox packages
- `infamick smg dim`: Open hidden Extra Dim menu
- `infamick smg gest`: Open hidden Gestures menu
- `infamick smg ntw_b`: Open 5G Network Bands guide
- `infamick smg ntw_l`: Open Network Bands settings
- `infamick sot` : Calculate the estimate of the sot with 100% battery 
- `infamick temp`: Monitor system temperatures

## Examples
```bash
infamick batt stop
infamick gmsd
infamick exdim
infamick perf
infamick smg dim
infamick smg ntw_l
infamick temp
```

## Contacts
[@InfamousMick](https://t.me/InfamousMick)
[@InfaChannel](https://t.me/InfaScript)
